Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
nvidia-driver in kernel 3.7.1 problem [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
gentoorockerfr
n00b
n00b


Joined: 25 May 2012
Posts: 74

PostPosted: Fri Mar 08, 2013 9:04 pm    Post subject: nvidia-driver in kernel 3.7.1 problem [SOLVED] Reply with quote

I am taking the followin text
i don not know if the problem exist because my kernel compression is lzo

Quote:
* Preparing nvidia module
make -j5 -l9 HOSTCC=x86_64-pc-linux-gnu-gcc CROSS_COMPILE=x86_64-pc-linux-gnu- 'LDFLAGS=-m elf_x86_64' ARCH=x86_64 IGNORE_CC_MISMATCH=yes V=1 SYSSRC=/usr/src/linux SYSOUT=/lib/modules/3.7.10-gentoo/build CC=x86_64-pc-linux-gnu-gcc clean module
If you are using a Linux 2.4 kernel, please make sure
you either have configured kernel sources matching your
kernel or the correct set of kernel headers installed
on your system.

If you are using a Linux 2.6 kernel, please make sure
you have configured kernel sources matching your kernel
installed on your system. If you specified a separate
output directory using either the "KBUILD_OUTPUT" or
the "O" KBUILD parameter, make sure to specify this
directory with the SYSOUT environment variable or with
the equivalent nvidia-installer command line option.

Depending on where and how the kernel sources (or the
kernel headers) were installed, you may need to specify
their location with the SYSSRC environment variable or
the equivalent nvidia-installer command line option.

*** Unable to determine the target kernel version. ***

make: *** [select_makefile] Error 1
* ERROR: x11-drivers/nvidia-drivers-313.18 failed (compile phase):
* emake failed
*
* If you need support, post the output of `emerge --info '=x11-drivers/nvidia-drivers-313.18'`,
* the complete build log and the output of `emerge -pqv '=x11-drivers/nvidia-drivers-313.18'`.
* The complete build log is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-313.18/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-313.18/temp/environment'.
* Working directory: '/var/tmp/portage/x11-drivers/nvidia-drivers-313.18/work/kernel'
* S: '/var/tmp/portage/x11-drivers/nvidia-drivers-313.18/work/'

>>> Failed to emerge x11-drivers/nvidia-drivers-313.18, Log file:

>>> '/var/tmp/portage/x11-drivers/nvidia-drivers-313.18/temp/build.log'

* Messages for package x11-drivers/nvidia-drivers-313.18:

* Gentoo supports kernel's which are supported by NVIDIA
* which are limited to the following kernels:
* <sys-kernel/gentoo-sources-3.7
* <sys-kernel/vanilla-sources-3.7
*
* You are free to utilize epatch_user to provide whatever
* support you feel is appropriate, but will not receive
* support as a result of those changes.

* Messages for package x11-drivers/nvidia-drivers-313.18:

* ERROR: x11-drivers/nvidia-drivers-313.18 failed (compile phase):
* emake failed
*
* If you need support, post the output of `emerge --info '=x11-drivers/nvidia-drivers-313.18'`,
* the complete build log and the output of `emerge -pqv '=x11-drivers/nvidia-drivers-313.18'`.
* The complete build log is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-313.18/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-313.18/temp/environment'.
* Working directory: '/var/tmp/portage/x11-drivers/nvidia-drivers-313.18/work/kernel'
* S: '/var/tmp/portage/x11-drivers/nvidia-drivers-313.18/work/'


Last edited by gentoorockerfr on Fri Mar 15, 2013 9:21 pm; edited 1 time in total
Back to top
View user's profile Send private message
Chiitoo
l33t
l33t


Joined: 28 Feb 2010
Posts: 746
Location: Here and Away Again

PostPosted: Sat Mar 09, 2013 2:26 am    Post subject: ><)))°€ Reply with quote

Teegrins, gentoorockerfr!

Try syncing up (or unmasking the ensuing version numbers) and you might have =x11-drivers/nvidia-drivers-313.26 being offered instead. This does not require the patches that are needed to build the older version with certain Kernel versions (see nvidia-drivers at the Gentoo bugzilla, or search the forum for more specific info on that).


Good luck~
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.
Back to top
View user's profile Send private message
gentoorockerfr
n00b
n00b


Joined: 25 May 2012
Posts: 74

PostPosted: Fri Mar 15, 2013 8:23 pm    Post subject: Reply with quote

same problem with nvidia 310.32
..
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Fri Mar 15, 2013 8:39 pm    Post subject: Reply with quote

Try 310.40. See Nvidia releases.
Back to top
View user's profile Send private message
666threesixes666
Veteran
Veteran


Joined: 31 May 2011
Posts: 1223
Location: 42.68n 85.41w

PostPosted: Fri Mar 15, 2013 8:46 pm    Post subject: Reply with quote

i have problems on my laptop with anything over 305 nvidia and 3.7.0 kernel my desktop can do latest nvidia, but not 3.8.2 kernel. please post output of..

(run as root)
Code:

lspci | grep VGA

_________________
cat /etc/*-release
Funtoo Linux - baselayout 2.2.0
consider this warning no. 1
http://ecx.images-amazon.com/images/I/81Ku-vxIb3L._SL1500_.jpg
http://wiki.gentoo.org/wiki/Special:Contributions/666threesixes666
Back to top
View user's profile Send private message
gentoorockerfr
n00b
n00b


Joined: 25 May 2012
Posts: 74

PostPosted: Fri Mar 15, 2013 9:21 pm    Post subject: Reply with quote

ok thank you now with 313.26 module rebuild made his job!

vga ->
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 430] (rev a1)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum